Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect
Class Oracle9Dialect

    java.lang.Object
      org.hibernate.dialect.Dialect
          org.hibernate.dialect.Oracle9Dialect

All Implemented Interfaces:
  ConversionContext

Direct Known Subclasses:
  DataDirectOracle9Dialect, OracleDialect

Deprecated. Use either Oracle9iDialect or Oracle10gDialect instead

    @Deprecated
    public class Oracle9Dialect

extends Dialect

An SQL dialect for Oracle 9 (uses ANSI-style syntax where possible).

Field Summary

Fields inherited from class org.hibernate.dialect.Dialect
`CLOSED_QUOTE, DEFAULT_BATCH_SIZE, LEGACY_LOB_MERGE_STRATEGY, NEW_LOCATOR_LOB_MERGE_STRATEGY, NO_BATCH, QUOTE, STREAM_XFER_LOB_MERGE_STRATEGY`

Constructor Summary
`Oracle9Dialect()` Deprecated.

Method Summary
`boolean` | `bindLimitParametersInReverseOrder()` Deprecated. ANSI SQL defines the LIMIT clause to be in the form LIMIT offset, limit.
`boolean` | `dropConstraints()` Deprecated. Do we need to drop constraints before dropping tables in this dialect?
`boolean` | `dropTemporaryTableAfterUse()` Deprecated. Do we need to drop the temporary table after use?
`boolean` | `forUpdateOfColumns()` Deprecated. Is `FOR UPDATE OF` syntax supported?
`String` | `generateTemporaryTableName(String baseTableName)` Deprecated. Generate a temporary table name given the base table.
`String` | `getAddColumnString()` Deprecated. The syntax used to add a column to a table (optional).
`String` | `getCascadeConstraintsString()` Deprecated. Completely optional cascading drop clause
`String` | `getCreateSequenceString(String sequenceName)` Deprecated. Typically dialects which support sequences can create a sequence with a single command.
`String` | `getCreateTemporaryTablePostfix()` Deprecated. Get any fragments needing to be postfixed to the command for temporary table creation.
`String` | `getCreateTemporaryTableString()` Deprecated. Command used to create a temporary table.
`String` | `getCurrentTimestampSelectString()` Deprecated. Retrieve the command used to retrieve the current timestamp from the database.
`String` | `getDropSequenceString(String sequenceName)` Deprecated. Typically dialects which support sequences can drop a sequence with a single command.
`String` | `getForUpdateNowaitString()` Deprecated. Retrieves the `FOR UPDATE NOWAIT` syntax specific to this dialect.
`String` | `getForUpdateNowaitString(String aliases)` Deprecated. Get the `FOR UPDATE OF column_list NOWAIT` fragment appropriate for this dialect given the aliases of the columns to be write locked.
`String` | `getForUpdateString(String aliases)` Deprecated. Get the `FOR UPDATE OF column_list` fragment appropriate for this dialect given the aliases of the columns to be write locked.
`String` | `getLimitString(String sql, boolean hasOffset)` Deprecated. Apply s limit clause to the query.
`String` | `getQuerySequencesString()` Deprecated. Get the select command used retrieve the names of all sequences.
`ResultSet` | `getResultSet(CallableStatement ps)` Deprecated. Given a callable statement previously processed by `Dialect.registerResultSetOutParameter(java.sql.CallableStatement, int)`, extract the `ResultSet` from the OUT parameter.
`String` | `getSelectGUIDString()` Deprecated. Get the command used to select a GUID from the underlying database.
`String` | `getSelectSequenceNextValString(String sequenceName)` Deprecated. Generate the select expression fragment that will retrieve the next value of a sequence as part of another (typically DML) statement.
`String` | `getSequenceNextValString(String sequenceName)` Deprecated. Generate the appropriate select statement to to retrieve the next value of a sequence.
`ViolatedConstraintNameExtracter` | `getViolatedConstraintNameExtracter()` Deprecated.
`boolean` | `isCurrentTimestampSelectStringCallable()` Deprecated. Should the value returned by `Dialect.getCurrentTimestampSelectString()` be treated as callable.
`int` | `registerResultSetOutParameter(CallableStatement statement, int col)` Deprecated. Registers an OUT parameter which will be returning a `ResultSet`.
`boolean` | `supportsCommentOn()` Deprecated.
`boolean` | `supportsCurrentTimestampSelection()` Deprecated. Does this dialect support a way to retrieve the database's current timestamp value?
`boolean` | `supportsEmptyInList()` Deprecated. Does this dialect support empty IN lists? For example, is [where XYZ in ()] a supported construct?
`boolean` | `supportsExistsInSelect()` Deprecated. Does the dialect support an exists statement in the select clause?
`boolean` | `supportsLimit()` Deprecated. Does this dialect support some form of limiting query results via a SQL clause?
`boolean` | `supportsPooledSequences()` Deprecated. Does this dialect support "pooled" sequences.
`boolean` | `supportsSequences()` Deprecated. Does this dialect support sequences?
`boolean` | `supportsTemporaryTables()` Deprecated. Does this dialect support temporary tables?
`boolean` | `supportsUnionAll()` Deprecated. Does this dialect support UNION ALL, which is generally a faster variant of UNION?
`boolean` | `useMaxForLimit()` Deprecated. Does the `LIMIT` clause take a "maximum" row number instead of a total number of returned rows? This is easiest understood via an example.

Methods inherited from class org.hibernate.dialect.Dialect
`appendIdentitySelectToInsert, appendLockHint, applyLocksToSql, areStringComparisonsCaseInsensitive, bindLimitParametersFirst, buildSQLExceptionConversionDelegate, buildSQLExceptionConverter, closeQuote, convertToFirstRowValue, createCaseFragment, createOuterJoinFragment, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, forceLimitUsage, getAddForeignKeyConstraintString, getAddPrimaryKeyConstraintString, getAddUniqueConstraintString, getCaseInsensitiveLike, getCastTypeName, getColumnAliasExtractor, getColumnComment, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getCrossJoinSeparator, getCurrentTimestampSQLFunctionName, getDefaultProperties, getDialect, getDialect, getDropForeignKeyString, getDropSequenceStrings, getDropTemporaryTableString, getForUpdateString, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIdentityColumnString, getIdentityColumnString, getIdentityInsertString, getIdentitySelectString, getIdentitySelectString, getKeywords, getLimitString, getLobMergeStrategy, getLockingStrategy, getLowercaseFunction, getMaxAliasLength, getNativeIdentifierGeneratorClass, getNoColumnsInsertString, getNullColumnString, getReadLockString, getSelectClauseNullString, getSqlTypeDescriptorOverride, getTableComment, getTableTypeString, getTypeName, getTypeName, getWriteLockString, hasAlterTable, hasDataTypeInIdentityColumn, hasSelfReferentialForeignKeyBug, isLockTimeoutParameterized, openQuote, performTemporaryTableDDLInIsolation, qualifyIndexName, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, remapSqlTypeDescriptor, replaceResultVariableInOrderByClauseWithPosition, requiresCastingOfParametersInSelectClause, supportsBindAsCallableArgument, supportsCascadeDelete, supportsCaseInsensitiveLike, supportsCircularCascadeDeleteConstraints, supportsColumnCheck, supportsExpectedLobUsagePattern, supportsIdentityColumns, supportsIfExistsAfterTableName, supportsIfExistsBeforeTableName, supportsInsertSelectIdentity, supportsLimitOffset, supportsLobValueChangePropogation, supportsLockTimeouts, supportsNotNullUnique, supportsOuterJoinForUpdate, supportsParametersInInsertSelect, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsRowValueConstructorSyntax, supportsRowValueConstructorSyntaxInInList, supportsSubqueryOnMutatingTable, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsTupleCounts, supportsTupleDistinctCounts, supportsUnboundedLobLocatorMaterialization, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsVariableLimit, toBooleanValueString, toString, transformSelectString, useInputStreamToInsertBlob`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Oracle9Dialect

    public Oracle9Dialect()

  Deprecated.

Method Detail

### getAddColumnString

    public String getAddColumnString()

  Deprecated.
  Description copied from class: `Dialect`
  The syntax used to add a column to a table (optional).

  Overrides:
    `getAddColumnString` in class `Dialect`
  Returns:
    The "add column" fragment.

### getSequenceNextValString

    public String getSequenceNextValString(String sequenceName)

  Deprecated.
  Description copied from class: `Dialect`
  Generate the appropriate select statement to to retrieve the next value of a sequence.

  This should be a "stand alone" select statement.

  Overrides:
    `getSequenceNextValString` in class `Dialect`
  Parameters:
    `sequenceName` - the name of the sequence
  Returns:
    String The "nextval" select string.

### getSelectSequenceNextValString

    public String getSelectSequenceNextValString(String sequenceName)

  Deprecated.
  Description copied from class: `Dialect`
  Generate the select expression fragment that will retrieve the next value of a sequence as part of another (typically DML) statement.

  This differs from `Dialect.getSequenceNextValString(String)` in that this should return an expression usable within another statement.

  Overrides:
    `getSelectSequenceNextValString` in class `Dialect`
  Parameters:
    `sequenceName` - the name of the sequence
  Returns:
    The "nextval" fragment.

### getCreateSequenceString

    public String getCreateSequenceString(String sequenceName)

  Deprecated.
  Description copied from class: `Dialect`
  Typically dialects which support sequences can create a sequence with a single command. This is convenience form of `Dialect.getCreateSequenceStrings(java.lang.String)` to help facilitate that.

  Dialects which support sequences and can create a sequence in a single command need *only* override this method. Dialects which support sequences but require multiple commands to create a sequence should instead override `Dialect.getCreateSequenceStrings(java.lang.String)`.

  Overrides:
    `getCreateSequenceString` in class `Dialect`
  Parameters:
    `sequenceName` - The name of the sequence
  Returns:
    The sequence creation command

### getDropSequenceString

    public String getDropSequenceString(String sequenceName)

  Deprecated.
  Description copied from class: `Dialect`
  Typically dialects which support sequences can drop a sequence with a single command. This is convenience form of `Dialect.getDropSequenceStrings(java.lang.String)` to help facilitate that.

  Dialects which support sequences and can drop a sequence in a single command need *only* override this method. Dialects which support sequences but require multiple commands to drop a sequence should instead override `Dialect.getDropSequenceStrings(java.lang.String)`.

  Overrides:
    `getDropSequenceString` in class `Dialect`
  Parameters:
    `sequenceName` - The name of the sequence
  Returns:
    The sequence drop commands

### getCascadeConstraintsString

    public String getCascadeConstraintsString()

  Deprecated.
  Description copied from class: `Dialect`
  Completely optional cascading drop clause

  Overrides:
    `getCascadeConstraintsString` in class `Dialect`
  Returns:
    String

### dropConstraints

    public boolean dropConstraints()

  Deprecated.
  Description copied from class: `Dialect`
  Do we need to drop constraints before dropping tables in this dialect?

  Overrides:
    `dropConstraints` in class `Dialect`
  Returns:
    True if constraints must be dropped prior to dropping the table; false otherwise.

### getForUpdateNowaitString

    public String getForUpdateNowaitString()

  Deprecated.
  Description copied from class: `Dialect`
  Retrieves the `FOR UPDATE NOWAIT` syntax specific to this dialect.

  Overrides:
    `getForUpdateNowaitString` in class `Dialect`
  Returns:
    The appropriate `FOR UPDATE NOWAIT` clause string.

### supportsSequences

    public boolean supportsSequences()

  Deprecated.
  Description copied from class: `Dialect`
  Does this dialect support sequences?

  Overrides:
    `supportsSequences` in class `Dialect`
  Returns:
    True if sequences supported; false otherwise.

### supportsPooledSequences

    public boolean supportsPooledSequences()

  Deprecated.
  Description copied from class: `Dialect`
  Does this dialect support "pooled" sequences. Not aware of a better name for this. Essentially can we specify the initial and increment values?

  Overrides:
    `supportsPooledSequences` in class `Dialect`
  Returns:
    True if such "pooled" sequences are supported; false otherwise.
  See Also:
    `Dialect.getCreateSequenceStrings(String, int, int)`, `Dialect.getCreateSequenceString(String, int, int)`

### supportsLimit

    public boolean supportsLimit()

  Deprecated.
  Description copied from class: `Dialect`
  Does this dialect support some form of limiting query results via a SQL clause?

  Overrides:
    `supportsLimit` in class `Dialect`
  Returns:
    True if this dialect supports some form of LIMIT.

### getLimitString

    public String getLimitString(String sql,
                                 boolean hasOffset)

  Deprecated.
  Description copied from class: `Dialect`
  Apply s limit clause to the query.

  Typically dialects utilize `variable` limit clauses when they support limits. Thus, when building the select command we do not actually need to know the limit or the offest since we will just be using placeholders.

  Here we do still pass along whether or not an offset was specified so that dialects not supporting offsets can generate proper exceptions. In general, dialects will override one or the other of this method and `Dialect.getLimitString(String, int, int)`.

  Overrides:
    `getLimitString` in class `Dialect`
  Parameters:
    `sql` - The query to which to apply the limit.
    `hasOffset` - Is the query requesting an offset?
  Returns:
    the modified SQL

### getForUpdateString

    public String getForUpdateString(String aliases)

  Deprecated.
  Description copied from class: `Dialect`
  Get the `FOR UPDATE OF column_list` fragment appropriate for this dialect given the aliases of the columns to be write locked.

  Overrides:
    `getForUpdateString` in class `Dialect`
  Parameters:
    `aliases` - The columns to be write locked.
  Returns:
    The appropriate `FOR UPDATE OF column_list` clause string.

### getForUpdateNowaitString

    public String getForUpdateNowaitString(String aliases)

  Deprecated.
  Description copied from class: `Dialect`
  Get the `FOR UPDATE OF column_list NOWAIT` fragment appropriate for this dialect given the aliases of the columns to be write locked.

  Overrides:
    `getForUpdateNowaitString` in class `Dialect`
  Parameters:
    `aliases` - The columns to be write locked.
  Returns:
    The appropriate `FOR UPDATE OF colunm_list NOWAIT` clause string.

### bindLimitParametersInReverseOrder

    public boolean bindLimitParametersInReverseOrder()

  Deprecated.
  Description copied from class: `Dialect`
  ANSI SQL defines the LIMIT clause to be in the form LIMIT offset, limit. Does this dialect require us to bind the parameters in reverse order?

  Overrides:
    `bindLimitParametersInReverseOrder` in class `Dialect`
  Returns:
    true if the correct order is limit, offset

### useMaxForLimit

    public boolean useMaxForLimit()

  Deprecated.
  Description copied from class: `Dialect`
  Does the `LIMIT` clause take a "maximum" row number instead of a total number of returned rows?

  This is easiest understood via an example. Consider you have a table with 20 rows, but you only want to retrieve rows number 11 through 20. Generally, a limit with offset would say that the offset = 11 and the limit = 10 (we only want 10 rows at a time); this is specifying the total number of returned rows. Some dialects require that we instead specify offset = 11 and limit = 20, where 20 is the "last" row we want relative to offset (i.e. total number of rows = 20 - 11 = 9)

  So essentially, is limit relative from offset? Or is limit absolute?

  Overrides:
    `useMaxForLimit` in class `Dialect`
  Returns:
    True if limit is relative from offset; false otherwise.

### forUpdateOfColumns

    public boolean forUpdateOfColumns()

  Deprecated.
  Description copied from class: `Dialect`
  Is `FOR UPDATE OF` syntax supported?

  Overrides:
    `forUpdateOfColumns` in class `Dialect`
  Returns:
    True if the database supports `FOR UPDATE OF` syntax; false otherwise.

### getQuerySequencesString

    public String getQuerySequencesString()

  Deprecated.
  Description copied from class: `Dialect`
  Get the select command used retrieve the names of all sequences.

  Overrides:
    `getQuerySequencesString` in class `Dialect`
  Returns:
    The select command; or null if sequences are not supported.
  See Also:
    `SchemaUpdate`

### getSelectGUIDString

    public String getSelectGUIDString()

  Deprecated.
  Description copied from class: `Dialect`
  Get the command used to select a GUID from the underlying database.

  Optional operation.

  Overrides:
    `getSelectGUIDString` in class `Dialect`
  Returns:
    The appropriate command.

### getViolatedConstraintNameExtracter

    public ViolatedConstraintNameExtracter getViolatedConstraintNameExtracter()

  Deprecated.
  Specified by:
    `getViolatedConstraintNameExtracter` in interface `ConversionContext`
  Overrides:
    `getViolatedConstraintNameExtracter` in class `Dialect`

### registerResultSetOutParameter

    public int registerResultSetOutParameter(CallableStatement statement,
                                             int col)
                                      throws SQLException

  Deprecated.
  Description copied from class: `Dialect`
  Registers an OUT parameter which will be returning a `ResultSet`. How this is accomplished varies greatly from DB to DB, hence its inclusion (along with `Dialect.getResultSet(java.sql.CallableStatement)`) here.

  Overrides:
    `registerResultSetOutParameter` in class `Dialect`
  Parameters:
    `statement` - The callable statement.
    `col` - The bind position at which to register the OUT param.
  Returns:
    The number of (contiguous) bind positions used.
  Throws:
    `SQLException` - Indicates problems registering the OUT param.

### getResultSet

    public ResultSet getResultSet(CallableStatement ps)
                           throws SQLException

  Deprecated.
  Description copied from class: `Dialect`
  Given a callable statement previously processed by `Dialect.registerResultSetOutParameter(java.sql.CallableStatement, int)`, extract the `ResultSet` from the OUT parameter.

  Overrides:
    `getResultSet` in class `Dialect`
  Parameters:
    `ps` - The callable statement.
  Returns:
    The extracted result set.
  Throws:
    `SQLException` - Indicates problems extracting the result set.

### supportsUnionAll

    public boolean supportsUnionAll()

  Deprecated.
  Description copied from class: `Dialect`
  Does this dialect support UNION ALL, which is generally a faster variant of UNION?

  Overrides:
    `supportsUnionAll` in class `Dialect`
  Returns:
    True if UNION ALL is supported; false otherwise.

### supportsCommentOn

    public boolean supportsCommentOn()

  Deprecated.
  Overrides:
    `supportsCommentOn` in class `Dialect`

### supportsTemporaryTables

    public boolean supportsTemporaryTables()

  Deprecated.
  Description copied from class: `Dialect`
  Does this dialect support temporary tables?

  Overrides:
    `supportsTemporaryTables` in class `Dialect`
  Returns:
    True if temp tables are supported; false otherwise.

### generateTemporaryTableName

    public String generateTemporaryTableName(String baseTableName)

  Deprecated.
  Description copied from class: `Dialect`
  Generate a temporary table name given the base table.

  Overrides:
    `generateTemporaryTableName` in class `Dialect`
  Parameters:
    `baseTableName` - The table name from which to base the temp table name.
  Returns:
    The generated temp table name.

### getCreateTemporaryTableString

    public String getCreateTemporaryTableString()

  Deprecated.
  Description copied from class: `Dialect`
  Command used to create a temporary table.

  Overrides:
    `getCreateTemporaryTableString` in class `Dialect`
  Returns:
    The command used to create a temporary table.

### getCreateTemporaryTablePostfix

    public String getCreateTemporaryTablePostfix()

  Deprecated.
  Description copied from class: `Dialect`
  Get any fragments needing to be postfixed to the command for temporary table creation.

  Overrides:
    `getCreateTemporaryTablePostfix` in class `Dialect`
  Returns:
    Any required postfix.

### dropTemporaryTableAfterUse

    public boolean dropTemporaryTableAfterUse()

  Deprecated.
  Description copied from class: `Dialect`
  Do we need to drop the temporary table after use?

  Overrides:
    `dropTemporaryTableAfterUse` in class `Dialect`
  Returns:
    True if the table should be dropped.

### supportsCurrentTimestampSelection

    public boolean supportsCurrentTimestampSelection()

  Deprecated.
  Description copied from class: `Dialect`
  Does this dialect support a way to retrieve the database's current timestamp value?

  Overrides:
    `supportsCurrentTimestampSelection` in class `Dialect`
  Returns:
    True if the current timestamp can be retrieved; false otherwise.

### getCurrentTimestampSelectString

    public String getCurrentTimestampSelectString()

  Deprecated.
  Description copied from class: `Dialect`
  Retrieve the command used to retrieve the current timestamp from the database.

  Overrides:
    `getCurrentTimestampSelectString` in class `Dialect`
  Returns:
    The command.

### isCurrentTimestampSelectStringCallable

    public boolean isCurrentTimestampSelectStringCallable()

  Deprecated.
  Description copied from class: `Dialect`
  Should the value returned by `Dialect.getCurrentTimestampSelectString()` be treated as callable. Typically this indicates that JDBC escape syntax is being used...

  Overrides:
    `isCurrentTimestampSelectStringCallable` in class `Dialect`
  Returns:
    True if the `Dialect.getCurrentTimestampSelectString()` return is callable; false otherwise.

### supportsEmptyInList

    public boolean supportsEmptyInList()

  Deprecated.
  Description copied from class: `Dialect`
  Does this dialect support empty IN lists?

  For example, is [where XYZ in ()] a supported construct?

  Overrides:
    `supportsEmptyInList` in class `Dialect`
  Returns:
    True if empty in lists are supported; false otherwise.

### supportsExistsInSelect

    public boolean supportsExistsInSelect()

  Deprecated.
  Description copied from class: `Dialect`
  Does the dialect support an exists statement in the select clause?

  Overrides:
    `supportsExistsInSelect` in class `Dialect`
  Returns:
    True if exists checks are allowed in the select clause; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.